Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.endpoints
Class PortletManagementEndpoint

    java.lang.Object
      org.jboss.portal.wsrp.endpoints.WSRPBaseEndpoint
          org.jboss.portal.wsrp.endpoints.PortletManagementEndpoint

All Implemented Interfaces:
  java.rmi.Remote, javax.xml.rpc.server.ServiceLifecycle, WSRP_v1_PortletManagement_PortType

    public class PortletManagementEndpoint

extends WSRPBaseEndpoint
implements WSRP_v1_PortletManagement_PortType

Since:
  2.4
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Field Summary

Fields inherited from class org.jboss.portal.wsrp.endpoints.WSRPBaseEndpoint
`context, producer`

Constructor Summary
`PortletManagementEndpoint()`

Method Summary
`PortletContext` | `clonePortlet(ClonePortlet clonePortlet)`
`DestroyPortletsResponse` | `destroyPortlets(DestroyPortlets destroyPortlets)`
`PortletDescriptionResponse` | `getPortletDescription(GetPortletDescription getPortletDescription)`
`PropertyList` | `getPortletProperties(GetPortletProperties getPortletProperties)`
`PortletPropertyDescriptionResponse` | `getPortletPropertyDescription(GetPortletPropertyDescription getPortletPropertyDescription)`
`PortletContext` | `setPortletProperties(SetPortletProperties setPortletProperties)`

Methods inherited from class org.jboss.portal.wsrp.endpoints.WSRPBaseEndpoint
`destroy, forceSessionAccess, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletManagementEndpoint

    public PortletManagementEndpoint()

Method Detail

### getPortletDescription

    public PortletDescriptionResponse getPortletDescription(GetPortletDescription getPortletDescription)
                                                     throws AccessDeniedFault,
                                                            InvalidHandleFault,
                                                            InvalidUserCategoryFault,
                                                            InconsistentParametersFault,
                                                            MissingParametersFault,
                                                            InvalidRegistrationFault,
                                                            OperationFailedFault,
                                                            java.rmi.RemoteException

  Specified by:
    `getPortletDescription` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `AccessDeniedFault`
    `InvalidHandleFault`
    `InvalidUserCategoryFault`
    `InconsistentParametersFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### clonePortlet

    public PortletContext clonePortlet(ClonePortlet clonePortlet)
                                throws InvalidUserCategoryFault,
                                       AccessDeniedFault,
                                       OperationFailedFault,
                                       InvalidHandleFault,
                                       InvalidRegistrationFault,
                                       InconsistentParametersFault,
                                       MissingParametersFault,
                                       java.rmi.RemoteException

  Specified by:
    `clonePortlet` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `InvalidUserCategoryFault`
    `AccessDeniedFault`
    `OperationFailedFault`
    `InvalidHandleFault`
    `InvalidRegistrationFault`
    `InconsistentParametersFault`
    `MissingParametersFault`
    `java.rmi.RemoteException`

### destroyPortlets

    public DestroyPortletsResponse destroyPortlets(DestroyPortlets destroyPortlets)
                                            throws InconsistentParametersFault,
                                                   MissingParametersFault,
                                                   InvalidRegistrationFault,
                                                   OperationFailedFault,
                                                   java.rmi.RemoteException

  Specified by:
    `destroyPortlets` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `InconsistentParametersFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### setPortletProperties

    public PortletContext setPortletProperties(SetPortletProperties setPortletProperties)
                                        throws OperationFailedFault,
                                               InvalidHandleFault,
                                               MissingParametersFault,
                                               InconsistentParametersFault,
                                               InvalidUserCategoryFault,
                                               AccessDeniedFault,
                                               InvalidRegistrationFault,
                                               java.rmi.RemoteException

  Specified by:
    `setPortletProperties` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `OperationFailedFault`
    `InvalidHandleFault`
    `MissingParametersFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `AccessDeniedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### getPortletProperties

    public PropertyList getPortletProperties(GetPortletProperties getPortletProperties)
                                      throws InvalidHandleFault,
                                             MissingParametersFault,
                                             InvalidRegistrationFault,
                                             AccessDeniedFault,
                                             OperationFailedFault,
                                             InconsistentParametersFault,
                                             InvalidUserCategoryFault,
                                             java.rmi.RemoteException

  Specified by:
    `getPortletProperties` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `InvalidHandleFault`
    `MissingParametersFault`
    `InvalidRegistrationFault`
    `AccessDeniedFault`
    `OperationFailedFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `java.rmi.RemoteException`

### getPortletPropertyDescription

    public PortletPropertyDescriptionResponse getPortletPropertyDescription(GetPortletPropertyDescription getPortletPropertyDescription)
                                                                     throws MissingParametersFault,
                                                                            InconsistentParametersFault,
                                                                            InvalidUserCategoryFault,
                                                                            InvalidRegistrationFault,
                                                                            AccessDeniedFault,
                                                                            InvalidHandleFault,
                                                                            OperationFailedFault,
                                                                            java.rmi.RemoteException

  Specified by:
    `getPortletPropertyDescription` in interface `WSRP_v1_PortletManagement_PortType`
  Throws:
    `MissingParametersFault`
    `InconsistentParametersFault`
    `InvalidUserCategoryFault`
    `InvalidRegistrationFault`
    `AccessDeniedFault`
    `InvalidHandleFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD